/**
* @ Author : iFiky , 780537@gmail.com
* @ version : 2008.9.20
*/

$ = function(em) {
    if (document.getElementById){ return document.getElementById(em); }
    else if (document.all){ return document.all[em]; }
    else if (document.layers){ return document.layers[em]; }
    else{ return null; }
};

$F = function(em){	return document.getElementById(em).value;	};

function show_select(_title, _options, _input){
    option_obj = $(_options);
    option_obj.style.display = (option_obj.style.display == "") ? "none" : "";
    option_obj.onblur = function() { option_obj.style.display = "none"; };
    option_obj.focus();
    for (var i = 0; i < option_obj.childNodes.length; i++){
        option_obj.childNodes[i].onmouseover = function(){ this.className = "options_over pointer"; };
        option_obj.childNodes[i].onmouseout = function(){ this.className = "options_out pointer"; };
        option_obj.childNodes[i].onclick = function(){
            $(_title).innerHTML = this.innerHTML;
            $(_input).value = this.id;
            option_obj.blur();
            option_obj.style.display = "none";
        }
    }
 };

function get_cookie(_name){
	var Res=eval('/'+_name+'=([^;]+)/').exec(document.cookie); return Res==null?'':unescape(Res[1]);
};

function SetCookie(name, value){
	var expdate = new Date();
	var argv = SetCookie.arguments;
	var argc = SetCookie.arguments.length;
	var expires = (argc > 2) ? argv[2] : null;
	var path = (argc > 3) ? argv[3] : null;
	var domain = (argc > 4) ? argv[4] : null;
	var secure = (argc > 5) ? argv[5] : false;
	if(expires!=null) expdate.setTime(expdate.getTime() + ( expires * 1000 ));
	document.cookie = name + "=" + escape (value) +((expires == null) ? "" : ("; expires="+ expdate.toGMTString()))+((path == null) ? "" : ("; path=" + path)) +((domain == null) ? "" : ("; domain=" + domain))+((secure == true) ? "; secure" : "");
};

function set_history(_id, _name){
    var current_str = _name + "#" + _id + "*Dj97*";
    var cookie_info = get_cookie("dj97History");
    var deal_cookie="";
    if( "" != cookie_info){
		cookie_info = cookie_info.split("*Dj97*");
        var N = (cookie_info.length > 18) ? 18 : cookie_info.length - 1;
		for(var i=0; i<N; i++){
            if(current_str != cookie_info[i] + "*Dj97*" && '' != cookie_info[i]) deal_cookie += (cookie_info[i] + "*Dj97*");
        }
	}
    current_str = ('' == deal_cookie) ? current_str : current_str + deal_cookie;
    SetCookie("dj97History", current_str, 48 * 3600, "/", DomainUrl, false);
};
function get_history(){
	var cookie_info=get_cookie("dj97History").split("*Dj97*");
    var N = cookie_info.length - 1;
    var history_list = "", infos, s;
	for(var i=0; i<N; i++){
		infos = cookie_info[i].split("#");
        s = (i == 0) ? 'class="n selected"' : 'class="n" onMouseOver="over_bg(this)" onMouseOut="out_bg(this)"';
        history_list += '<li '+s+'><input type="checkbox" value="'+infos[1]+'"> <a href="'+infos[1]+'" target="_self">'+infos[0]+'</a></li>';
	}
    $("dance_list").innerHTML = history_list;
    $("list_do").innerHTML = '<a href="#none" onclick="del_history()">清除记录</a>';
};
function del_history(){
    SetCookie("dj97History", "", null, "/", DomainUrl, false);
    $("dance_list").innerHTML = "<li class='selected'>清除试听记录成功!</li>";
};

function over_bg(t){ t.style.background = '#f5ffe9'; };
function out_bg(t){ t.style.background = '#ffffff'; };

function get_tags(parentobj, tag){
    if (typeof parentobj.getElementsByTagName != 'undefined'){ return parentobj.getElementsByTagName(tag);
    }else if (parentobj.all && parentobj.all.tags){ return parentobj.all.tags(tag);
    }else{ return new Array(); }
};
function clk(_act, _id) {
    var v = [];
    var a = get_tags($(_id), 'input');

    for (var i = 0; i < a.length; i++) {
        if (_act == 'all' ) {a[i].checked = true;}
        else if (_act == 'un' ) { a[i].checked = (a[i].checked) ? false : true; }
        else { if (0 < a[i].value && a[i].checked){ v.push(a[i].value); } }
    }
    if ( 'play' == _act ) {
        if (0 == v.length){ do_alert('请先选择舞曲，再进行连播！'); setTimeout('close_alert()', 3000); return; }
        if (30 < v.length){ do_alert('最多可同时选择30首舞曲！'); setTimeout('close_alert()', 4000); return; }
        window.open(''+web_url+'PlaySong.asp?id=' + v.join('_'), 'play');
    }else if ( 'add' ==  _act){
        if (0 == v.length){ do_alert('请先选择舞曲，再加入列表！'); setTimeout('close_alert()', 3000); return; }
        if ( 1 == get_cookie('LPlay_open') ){
            SetCookie('LPlay_list', v.join('_'), null, "/", DomainUrl, false);
            do_alert('添加成功, 请查看播放列表！');
            setTimeout('close_alert()', 3000);
        }else{
            window.open(''+web_url+'PlaySong.asp?id=' + v.join('_') , 'play');
        }
    }
};

function create_div( _str, _msgw, _msgh ){
    var bgObj=document.createElement("div");
    bgObj.setAttribute('id','bgDiv');
    bgObj.style.position="absolute";
    bgObj.style.top="0px";
    bgObj.style.left="0px";
    bgObj.style.background="#FFFFFF";
    bgObj.style.opacity="0.60";
    bgObj.style.filter = "alpha(opacity=60)";
    bgObj.style.width="100%";
    bgObj.style.height=document.body.scrollHeight + "PX";
    bgObj.style.zIndex = "10000";
    document.body.appendChild(bgObj);

    var msgObj = document.createElement("div");
    var _width = document.body.clientWidth;
	var _height = document.documentElement.clientHeight||document.body.clientHeight;
    var LeftPosition = (_width) ? (_width - _msgw)/2 : 0  ;
    var TopPosition = (_height) ? (_height - _msgh)/2 + document.documentElement.scrollTop : 0 ;
    msgObj.setAttribute("id","msgDiv");
    msgObj.setAttribute("align","center");
    msgObj.style.position = "absolute";
    msgObj.style.border="0";
    msgObj.style.left = LeftPosition + "px";
	msgObj.style.top  = TopPosition + "px";
    msgObj.style.width = _msgw + "px";
    msgObj.style.height = _msgh + "px";
    msgObj.style.textAlign = "center";
    msgObj.style.zIndex = "10001";
    msgObj.innerHTML= _str;
    document.body.appendChild(msgObj);
};

function open_fav( _id, _type ){
    create_div( '<iframe id="ifm" src="'+web_url+'skin/skin_01/addfav.asp?id='+_id+'" frameborder="0" width="500" height="206" scrolling="no"></iframe>', 500, 206 );
};

function open_feedback( _id ){
    create_div( '<iframe id="ifm" src="'+web_url+'skin/skin_01/adderror.asp?id='+_id+'" frameborder="0" width="500" height="206" scrolling="no"></iframe>', 500, 206 );
};

function close_div(){
    document.body.removeChild($("bgDiv"));
    document.body.removeChild($("msgDiv"));
};

function set_tab(_current, n){
    for(i=1;i<=n;i++){
        $('title_' + i).className = (i == _current) ? 'ico this' : '';
    }
    switch( _current ){
         case 1 : get_history(); break;
         case 2 : get_dance(); break;
         case 3 : get_top(dance_type);break;
         case 4 : get_favtop();break;
     }
};

function do_alert( msg ){
    var _height = document.documentElement.clientHeight||document.body.clientHeight;
    var _top = (_height) ? (_height - 39)/2 + document.documentElement.scrollTop : 0;
    var msgObj=document.createElement('div');
    msgObj.setAttribute('id', 'msgInfo');
    msgObj.setAttribute('align', 'center');
    msgObj.style.position = 'absolute';
    msgObj.style.top = _top + 'px';
    msgObj.style.left = '0';
    msgObj.style.width = '100%';
    msgObj.style.height = '33px';
    msgObj.style.zIndex = '999';
    msgObj.innerHTML = '<span id="alert">'+ msg +'</span>';
    document.body.appendChild(msgObj);
};
function close_alert(){
    document.body.removeChild($('msgInfo'));
};

function open_comment(_id){
    try{
        if( '' == $('f_comment').getAttribute('src') ) { $('f_comment').setAttribute('src', ''+web_url+'skin/skin_01/dancecomment.asp?id=' + _id); }
        parent.document.documentElement.scrollTop = 730;
        parent.document.body.scrollTop = 730;
    }catch(e){
       return;
    }
};

function top_tab(_current, n){
    for(i=1;i<=n;i++){
        $('top_' + i).className = (i == _current) ? 'this' : '';
        $('content_' + i).style.display  = (i == _current) ? '' : 'none';
    }
};